漏洞信息详情

Zephyr 缓冲区错误漏洞

  • CNNVD编号:CNNVD-202005-451
  • 危害等级: 中危
  • CVE编号: CVE-2020-10060
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2020-05-11
  • 威胁类型: 远程
  • 更新时间: 2021-10-19
  • 厂        商:
  • 漏洞来源:

漏洞简介

Zephyr是美国Linux基金会的一套开源的小型的可缩放的实时操作系统。

Zephyr 2.1.0及之后版本和2.2.0及之后版本中的updatehub_probe中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.zephyrproject.org/

参考网址

来源:MISC

链接:https://zephyrprojectsec.atlassian.net/browse/ZEPSEC-37

来源:CONFIRM

链接:https://github.com/zephyrproject-rtos/zephyr/pull/27865

来源:CONFIRM

链接:https://github.com/zephyrproject-rtos/zephyr/pull/27889

来源:CONFIRM

链接:https://github.com/zephyrproject-rtos/zephyr/pull/27893

来源:CONFIRM

链接:https://github.com/zephyrproject-rtos/zephyr/pull/27891

来源:MISC

链接:https://docs.zephyrproject.org/latest/security/vulnerabilities.html#CVE-2020-10060

来源:MISC

链接:https://docs.zephyrproject.org/latest/security/vulnerabilities.html#cve-2020-10060

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-10060

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多